iHackintosh

Jailbreak your iPhone

Yellowsn0w 0.9.8 Unlock Tool Out for iPhone 3G Firmware 2.2.1

Advertisements

unlock-iphone-new-15Yellowsnow 0.9.8 to unlock iPhone 3G is now available on cydia. It’s not yet announced on iPhone Dev Team blog for download but twitted by dev team” yellowsn0w 0.9.8 is on Cydia for those who were seeing wifi or slowness issues with 0.9.7. This is NOT anything related to 02.30.03 baseband ” Yellowsn0w is meant to work with baseband 02.28.0 of firmware 2.2 and in order to successfully unlock your iPhone 3G you need to have firmware 2.2 with baseband 02.28.0.

About Yellow-Snow  The application is a small daemon that is launched on boot.  It injects the payload at boot and also whenever there is a baseband reset.  You won’t notice anything about it other than that your third-party sim now works.  It’s a small program and unobtrusive.  

Brief description: The 0.9.8 release changed things only related to exit from airplane mode and wi-fi. It changes nothing with the yellowsn0w payload itself or the injection vector or the baseband version. 

The 0.9.6 version worked for many peoples but it had a hard-coded address for the airplane mode call. The hard-coded address changes depending on FW version (2.2 vs 2.2.1 so far). The 0.9.7 version tried to make it universal and applicable across all future updates. Although it worked for most people, it did have the side effect of keeping wi-fi off after the toggle. The 0.9.8 version fixes that at the expense of going back to hard-coded addresses. That affects us more than you.”

 Guide for unlocking your iPhone 3G with yellowSnow 0.9.8 check here.

More Guides of Interest :

 

 

Advertisements

Tags: , , ,

Comments ( 10 )

Have Something To Say ?

  1. Hariraj April 25, 2009 Reply

    Hi please help me out..I had update my iPhone 3g with 2.2.1in iTunes and I try to down grade my bb with 3g bbdowngrade which i got in cydia but that not working my bb didn’t change to unlock with yellowsnow…so pls tell me any way to unlock my phone..thank you in advance

  2. 48HRS to find this post April 25, 2009 Reply

    Thanx for putting me out of my misery. Spent hours trying to get BBUpdaterExtreme to revert back to 02.28.00, only to find out this tool will not work with BL 5.9, will waitout for update from DevTeam.

  3. Londonboy April 15, 2009 Reply

    Omg o bought my iphone 1month ago and there is still nooo update of the yellow snow i can downgrade my firmware succesfully but da bb is still da same i have written to the dev team email but no answer i think we will have to wait for another month or so

  4. Jay April 14, 2009 Reply

    My iphone wont even turn on now, please help!

  5. Unlock iPhone 3g April 13, 2009 Reply

    You can’t unlock your iPhone 3G using software if you have updated to 2.2.1 at any point, because of the 2.30 bootloader

  6. Unlock iPhone 3G April 12, 2009 Reply

    I’ve tried using this guide to unlock my iPhone 3G but now I can’t get any signal on T-Mobile, anyone else had this problem or know how to fix?

  7. febo April 5, 2009 Reply

    Hi .. i am stuck at 2.30.3 too 🙁
    When i tried to downgrade to 2.2 i notice in error log file that itunes check version of baseband firmware before update and refuse to update if number is lower than existing BB.

    Why is it soo difficult to change only version number of BB and then update with older content of BB ????

    This is question for Dev Team and all who know how to doo that.
    Sorry if i post stupid question, but i can’t w8 4 new 2.30 or 4.30 fix 🙁

    _DM_

  8. chriskong March 11, 2009 Reply

    I have 2.2.1 FW with BB 02.30.03 wich sucks nuts. anyone know when devteam will release an update?
    cheers

  9. Neos February 10, 2009 Reply

    Don’t upgrade to 2.2.1 with Itunes. If you do that, your baseband will be updated and yellowsn0w (also version 0.9.8) will stop to work.

  10. is it safe now to upgrade February 8, 2009 Reply

    dears I have yellowsnow 0.9.6 installed
    my Iphone works fine
    I user a small program to change number of FW from 2.2 to 2.2.1 just to fool iTune so it will not upgrade my Iphone by mistake (I didn’t upgrade to 2.2.1)
    now in cydia I see update of yellowsnow to 0.9.8
    is it safe now to upgrade
    pls. send my you answer to my email
    appreciating your usual help

Leave your comment here